%define pkg_major_version 1.2
%define pkg_name cabextract
%define pkg_release 2%{?_dist_release}
%define tarball %(cd %{_sourcedir};ls %{pkg_name}-%{pkg_major_version}.tar.gz | tail -n 1)
## PAR_define pkg_minor_version %(echo %{tarball} | cut -d '.' -f3 | tr -d 0)

# NEW Release: numbering rule. -- Release: 1%{?_dist_release} 

Summary: A program to extract Microsoft Cabinet files
Summary(ja): Microsoftキャビネットファイルを抽出するプログラム
Name: %{pkg_name}
Version: %{pkg_major_version}
Release: %{pkg_release}
License: GPL
Group: Applications/Archiving
Source: http://www.kyz.uklinux.net/downloads/%{name}-%{version}.tar.gz
URL: http://www.kyz.uklinux.net/cabextract.php
Vendor: Stuart Caie
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

#--------------------------------------------------------------------
%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program unpacks these files.

%description -l ja
Microsoft社の配布するソフトウェア、例えば Windowsフォントパック等で
使用されているキャビネット(.CAB)形式のアーカイブファイルがあります。
cabextractプログラムはこれらのファイルの解凍を行います。

#--------------------------------------------------------------------
%prep
%setup

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=%{prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#--------------------------------------------------------------------
%files
%defattr(0644, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README
%attr(0755, root, root) %{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*

#--------------------------------------------------------------------
%changelog
* Fri Jul 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2-2
- spec in UTF-8

* Mon Mar 24 2008 Seiichirou Babasaki 1.2
- Import cabextract - Packager: Babasaki
- Updated specfile
